SciQLOP - Task #1274

Epic story # 1164 (In Progress): Récupération des données (serveurs de données)
Acquisition de données (APl générale)

11/05/2017 03:18 PM - Alexis Jeandet

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

Une API abstraite d'acquisition de données est implémentées par toutes les sources de données et permet de :
e acquérir une donnée sur une plage temporelle quelconque
Un contrdleur d'acquisition de données permet de :
e demander au contréleur de cache si une plage de données est déja au moins partiellement connue
e modifier la plage de données requétée pour demander a I'API abstraite d'acquisition uniquement les données absentes du
cache
Un contréleur de cache permet de :
¢ regarder si une plage de données requétée est déja dans le cache

¢ stocker des nouvelles plages d'acquisition de données dans le cache
e supprimer des plages d'acquisition de données du cache

Related issues:
Copied to Task #1376: Acquisition de données (API générale) New

History

#1 - 11/05/2017 05:41 PM - Anonymous
- Sprint set to Product backlog
- Position changed from 156 to 67

#2 - 12/05/2017 09:19 AM - Anonymous
- Sprint changed from Product backlog to Sprintinitialization

- Position changed from 67 to 17

#3 - 12/05/2017 10:51 AM - Anonymous
- Story points changed from 1 to 13
Deux parties sont identifiées:
e API d'acquiistion de données a visualiser suivant une plage temporelle et provenant d'un plugin

¢ Controlleur au dessus qui en fonction du cache décide d'afficher les données du cache ou de relancer le téléchargement des nouvelles
données.

#4 - 12/05/2017 11:18 AM - Anonymous

- Priority changed from Immediate to Low

#5 - 12/05/2017 03:24 PM - Anonymous
- Copied to Task #1376: Acquisition de données (APl générale) added

#6 - 08/06/2017 08:37 PM - adminlpp adminlpp

- Tracker changed from User story to Task
- % Done setto 0
- revision set to r0

- blocked set to No

#7 - 14/02/2019 10:16 AM - Nicolas Aunai
- Category set to legacy
